<div class="control-panel">
    
    <div *ngIf="gameData.lives > 0 && !gameData.win">
        <app-control-panel-legend
            [enviroment]="enviroment"
            *ngIf="status == 'legend'" 
            ></app-control-panel-legend>

        <app-control-panel-statitics
            [gameData]="gameData"
            *ngIf="status == 'controlandstatistics'"></app-control-panel-statitics>

        <app-control-panel-controls
            [enviroment]="enviroment"
            *ngIf="status == 'controlandstatistics'"></app-control-panel-controls>

        <a (click)="statusLegend()" *ngIf="status == 'controlandstatistics'"> Leyenda</a>
        <a (click)="statusControlAndStatistics()" *ngIf="status == 'legend'" > Controles </a>
    </div>

    <app-control-panel-end 
        *ngIf="gameData.win"
        [title]="win.title" [text]="win.text" [url]="win.url"
        (clickButton)="clickButtonRestar.emit()"></app-control-panel-end>

    <app-control-panel-end 
        *ngIf="gameData.lives == 0"
        [title]="dead.title" [text]="dead.text" [url]="dead.url"
        (clickButton)="clickButtonRestar.emit()"></app-control-panel-end>

</div>
